curl --request POST \
--url https://api.pods.finance/api/v1/kyc/bigdatacorp/reset \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"email": "[email protected]",
"walletAddress": "EXYhCNamLPFfSMekSn7Lzc2cP32aZpRa7ok5gErdJzcj"
}
'import requests
url = "https://api.pods.finance/api/v1/kyc/bigdatacorp/reset"
payload = {
"email": "[email protected]",
"walletAddress": "EXYhCNamLPFfSMekSn7Lzc2cP32aZpRa7ok5gErdJzcj"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
walletAddress: 'EXYhCNamLPFfSMekSn7Lzc2cP32aZpRa7ok5gErdJzcj'
})
};
fetch('https://api.pods.finance/api/v1/kyc/bigdatacorp/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pods.finance/api/v1/kyc/bigdatacorp/reset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => '[email protected]',
'walletAddress' => 'EXYhCNamLPFfSMekSn7Lzc2cP32aZpRa7ok5gErdJzcj'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pods.finance/api/v1/kyc/bigdatacorp/reset"
payload := strings.NewReader("{\n \"email\": \"[email protected]\",\n \"walletAddress\": \"EXYhCNamLPFfSMekSn7Lzc2cP32aZpRa7ok5gErdJzcj\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pods.finance/api/v1/kyc/bigdatacorp/reset")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"[email protected]\",\n \"walletAddress\": \"EXYhCNamLPFfSMekSn7Lzc2cP32aZpRa7ok5gErdJzcj\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pods.finance/api/v1/kyc/bigdatacorp/reset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"[email protected]\",\n \"walletAddress\": \"EXYhCNamLPFfSMekSn7Lzc2cP32aZpRa7ok5gErdJzcj\"\n}"
response = http.request(request)
puts response.read_body{
"error": {
"code": "QUOTE_NOT_FOUND",
"message": "Quote not found or expired"
}
}{
"error": {
"code": "QUOTE_NOT_FOUND",
"message": "Quote not found or expired"
}
}{
"error": {
"code": "QUOTE_NOT_FOUND",
"message": "Quote not found or expired"
}
}{
"error": {
"code": "QUOTE_NOT_FOUND",
"message": "Quote not found or expired"
}
}Reset a BigDataCorp KYC profile
Archives the BigDataCorp KYC profile that matches this email and wallet for your account, so the applicant can start over with POST /api/v1/kyc/bigdatacorp/sessions. The CPF and the wallet are released in the same step. Allowed only while the profile is created and was never submitted to the ramp provider, or is rejected_retryable, and has no enabled currency. Returns no body.
curl --request POST \
--url https://api.pods.finance/api/v1/kyc/bigdatacorp/reset \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"email": "[email protected]",
"walletAddress": "EXYhCNamLPFfSMekSn7Lzc2cP32aZpRa7ok5gErdJzcj"
}
'import requests
url = "https://api.pods.finance/api/v1/kyc/bigdatacorp/reset"
payload = {
"email": "[email protected]",
"walletAddress": "EXYhCNamLPFfSMekSn7Lzc2cP32aZpRa7ok5gErdJzcj"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
walletAddress: 'EXYhCNamLPFfSMekSn7Lzc2cP32aZpRa7ok5gErdJzcj'
})
};
fetch('https://api.pods.finance/api/v1/kyc/bigdatacorp/reset', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pods.finance/api/v1/kyc/bigdatacorp/reset",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'email' => '[email protected]',
'walletAddress' => 'EXYhCNamLPFfSMekSn7Lzc2cP32aZpRa7ok5gErdJzcj'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pods.finance/api/v1/kyc/bigdatacorp/reset"
payload := strings.NewReader("{\n \"email\": \"[email protected]\",\n \"walletAddress\": \"EXYhCNamLPFfSMekSn7Lzc2cP32aZpRa7ok5gErdJzcj\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pods.finance/api/v1/kyc/bigdatacorp/reset")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"email\": \"[email protected]\",\n \"walletAddress\": \"EXYhCNamLPFfSMekSn7Lzc2cP32aZpRa7ok5gErdJzcj\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pods.finance/api/v1/kyc/bigdatacorp/reset")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"email\": \"[email protected]\",\n \"walletAddress\": \"EXYhCNamLPFfSMekSn7Lzc2cP32aZpRa7ok5gErdJzcj\"\n}"
response = http.request(request)
puts response.read_body{
"error": {
"code": "QUOTE_NOT_FOUND",
"message": "Quote not found or expired"
}
}{
"error": {
"code": "QUOTE_NOT_FOUND",
"message": "Quote not found or expired"
}
}{
"error": {
"code": "QUOTE_NOT_FOUND",
"message": "Quote not found or expired"
}
}{
"error": {
"code": "QUOTE_NOT_FOUND",
"message": "Quote not found or expired"
}
}Authorizations
API key for authentication. Obtain from your Pods dashboard.
Body
Identifies the BigDataCorp KYC profile to reset
Email of the BigDataCorp KYC profile to reset. Compared case-insensitively.
Wallet of the BigDataCorp KYC profile to reset. Checksummed EVM address or Solana public key.
"EXYhCNamLPFfSMekSn7Lzc2cP32aZpRa7ok5gErdJzcj"
Response
KYC profile archived; start a new session to verify again
Was this page helpful?